Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.api.script.element
Interface IDataItem

All Superinterfaces:
  IDesignElement, IReportElement, IReportItem

    public interface IDataItem

extends IReportItem

Represents a the design of a DataItem in the scripting environment

Field Summary

Fields inherited from interface org.eclipse.birt.report.engine.api.script.element.IReportItem
`constants`

Method Summary
`void` | `addAction(IAction action)` Adds the action structure to this data item.
`IAction` | `getAction()` Returns a handle to work with the action property, action is a structure that defines a hyperlink.
`java.lang.String` | `getHelpText()` Returns the help text of this data item.
`java.lang.String` | `getHelpTextKey()` Returns the help text resource key of this data item.
`void` | `setHelpText(java.lang.String value)` Sets the help text of this data item.
`void` | `setHelpTextKey(java.lang.String value)` Sets the resource key of the help text of this data item.

Methods inherited from interface org.eclipse.birt.report.engine.api.script.element.IReportItem
`addDataBinding, addHideRule, addHighlightRule, getBookmark, getDataBinding, getDataBindings, getHeight, getHideRules, getHighlightRules, getTocExpression, getWidth, getX, getY, removeDataBinding, removeDataBindings, removeHideRule, removeHideRules, removeHighlightRule, removeHighlightRules, setBookmark, setCurrentView, setHeight, setHeight, setTocExpression, setWidth, setWidth, setX, setX, setY, setY`

Methods inherited from interface org.eclipse.birt.report.engine.api.script.element.IReportElement
`getComments, getCustomXml, getDisplayName, getDisplayNameKey, getName, setComments, setCustomXml, setDisplayName, setDisplayNameKey, setName`

Methods inherited from interface org.eclipse.birt.report.engine.api.script.element.IDesignElement
`getNamedExpression, getParent, getQualifiedName, getReport, getStyle, getUserProperty, getUserPropertyExpression, setNamedExpression, setUserProperty, setUserProperty`

Method Detail

### getAction

    IAction getAction()

  Returns a handle to work with the action property, action is a structure that defines a hyperlink.

  Returns:
    a handle to the action property, return `null` if the action has not been set on the data item.
  See Also:
    `ActionHandle`

### getHelpText

    java.lang.String getHelpText()

  Returns the help text of this data item.

  Returns:
    the help text

### setHelpText

    void setHelpText(java.lang.String value)
                     throws ScriptException

  Sets the help text of this data item.

  Parameters:
    `value` - the help text
  Throws:
    `ScriptException` - if the property is locked.

### getHelpTextKey

    java.lang.String getHelpTextKey()

  Returns the help text resource key of this data item.

  Returns:
    the help text key

### setHelpTextKey

    void setHelpTextKey(java.lang.String value)
                        throws ScriptException

  Sets the resource key of the help text of this data item.

  Parameters:
    `value` - the resource key of the help text
  Throws:
    `ScriptException` - if the property is locked.

### addAction

    void addAction(IAction action)

  Adds the action structure to this data item.

  Parameters:
    `action` - action structure

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.